org.apache.nutch.util

## Class StringUtil

- java.lang.Object
- - org.apache.nutch.util.StringUtil

-     public class StringUtil
      extends java.lang.Object

  A collection of String processing utility methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `cleanField(java.lang.String value)` Takes in a String value and cleans out any offending "�"
    `static byte[]` | `fromHexString(java.lang.String text)` Convert a String containing consecutive (no inside whitespace) hexadecimal digits into a corresponding byte array.
    `static boolean` | `isEmpty(java.lang.String str)` Checks if a string is empty (ie is null or empty).
    `static java.lang.String` | `leftPad(java.lang.String s, int length)` Returns a copy of `s` padded with leading spaces so that it's length is `length`.
    `static void` | `main(java.lang.String[] args)`
    `static java.lang.String` | `rightPad(java.lang.String s, int length)` Returns a copy of `s` padded with trailing spaces so that it's length is `length`.
    `static java.lang.String` | `toHexString(byte[] buf)` Convenience call for `toHexString(byte[], String, int)`, where `sep = null; lineLen = Integer.MAX_VALUE`.
    `static java.lang.String` | `toHexString(byte[] buf, int of, int cb, java.lang.String sep, int lineLen)` Get a text representation of a byte[] as hexadecimal String, where each pair of hexadecimal digits corresponds to consecutive bytes in the array.
    `static java.lang.String` | `toHexString(byte[] buf, java.lang.String sep, int lineLen)` Get a text representation of a byte[] as hexadecimal String, where each pair of hexadecimal digits corresponds to consecutive bytes in the array.
    `static java.lang.String` | `toHexString(java.nio.ByteBuffer buf)` Convenience call for `toHexString(ByteBuffer, String, int)`, where `sep = null; lineLen = Integer.MAX_VALUE`.
    `static java.lang.String` | `toHexString(java.nio.ByteBuffer buf, java.lang.String sep, int lineLen)` Get a text representation of a ByteBuffer as hexadecimal String, where each pair of hexadecimal digits corresponds to consecutive bytes in the array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtil

          public StringUtil()

  - ### Method Detail

    - #### rightPad

          public static java.lang.String rightPad(java.lang.String s,
                                                  int length)

      Returns a copy of `s` padded with trailing spaces so that it's length is `length`. Strings already `length` characters long or longer are not altered.

    - #### leftPad

          public static java.lang.String leftPad(java.lang.String s,
                                                 int length)

      Returns a copy of `s` padded with leading spaces so that it's length is `length`. Strings already `length` characters long or longer are not altered.

    - #### toHexString

          public static java.lang.String toHexString(java.nio.ByteBuffer buf)

      Convenience call for `toHexString(ByteBuffer, String, int)`, where `sep = null; lineLen = Integer.MAX_VALUE`.
      Parameters:
        `buf` -

    - #### toHexString

          public static java.lang.String toHexString(java.nio.ByteBuffer buf,
                                                     java.lang.String sep,
                                                     int lineLen)

      Get a text representation of a ByteBuffer as hexadecimal String, where each pair of hexadecimal digits corresponds to consecutive bytes in the array.
      Parameters:
        `buf` - input data
        `sep` - separate every pair of hexadecimal digits with this separator, or null if no separation is needed.
        `lineLen` - break the output String into lines containing output for lineLen bytes.

    - #### toHexString

          public static java.lang.String toHexString(byte[] buf)

      Convenience call for `toHexString(byte[], String, int)`, where `sep = null; lineLen = Integer.MAX_VALUE`.
      Parameters:
        `buf` -

    - #### toHexString

          public static java.lang.String toHexString(byte[] buf,
                                                     java.lang.String sep,
                                                     int lineLen)

      Get a text representation of a byte[] as hexadecimal String, where each pair of hexadecimal digits corresponds to consecutive bytes in the array.
      Parameters:
        `buf` - input data
        `sep` - separate every pair of hexadecimal digits with this separator, or null if no separation is needed.
        `lineLen` - break the output String into lines containing output for lineLen bytes.

    - #### toHexString

          public static java.lang.String toHexString(byte[] buf,
                                                     int of,
                                                     int cb,
                                                     java.lang.String sep,
                                                     int lineLen)

      Get a text representation of a byte[] as hexadecimal String, where each pair of hexadecimal digits corresponds to consecutive bytes in the array.
      Parameters:
        `buf` - input data
        `of` - the offset into the byte[] to start reading
        `cb` - the number of bytes to read from the byte[]
        `sep` - separate every pair of hexadecimal digits with this separator, or null if no separation is needed.
        `lineLen` - break the output String into lines containing output for lineLen bytes.

    - #### fromHexString

          public static byte[] fromHexString(java.lang.String text)

      Convert a String containing consecutive (no inside whitespace) hexadecimal digits into a corresponding byte array. If the number of digits is not even, a '0' will be appended in the front of the String prior to conversion. Leading and trailing whitespace is ignored.
      Parameters:
        `text` - input text
      Returns:
        converted byte array, or null if unable to convert

    - #### isEmpty

          public static boolean isEmpty(java.lang.String str)

      Checks if a string is empty (ie is null or empty).

    - #### cleanField

          public static java.lang.String cleanField(java.lang.String value)

      Takes in a String value and cleans out any offending "�"
      Parameters:
        `value` - the dirty String value.
      Returns:
        clean String

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2019 The Apache Software Foundation